#include <AFMotor.h>
 //Using ISD1820
const int recinpin = A3; // Use the analog pin as if it were digital pin 0
const int recoutpin = A5; 
const int play = A4; 
const int alarm = A0;
const int alarmonoff = A2;
//
AF_Stepper motorh(200, 2); // 
AF_Stepper motorm(200, 1); // 
const int timefactor = 240; //more=faster time (to check functionality, 1 default, 12= minute in 5 sec)
unsigned long previousMillish = 0;
unsigned long previousMillism = 0;
const unsigned long intervalh = 3600000/timefactor; // Interval for motor1 in milliseconds,1 hour
const unsigned long intervalm = 900000/timefactor;  // Interval for motor2 in milliseconds,15min
double alarmmili =999999999;
int alarmon = 0;

void setup() {
  Serial.begin(9600);           // set up Serial library at 9600 bps
  Serial.println("Stepper ok!");
  motorh.setSpeed(10);  // 10 rpm
  motorm.setSpeed(10);  // 10 rpm
//************pin setup
  pinMode(recoutpin, OUTPUT); // Set the analog pin as an output
  pinMode(play , OUTPUT); 
  pinMode(recinpin , INPUT); 
  pinMode(alarm , INPUT); 
  pinMode(alarmonoff , INPUT); 
  
  
}

void loop() {
///********************timer wheels 
unsigned long currentMillis = millis();

if(alarmon == 0){
  
  // Control motor2,m
  if (currentMillis - previousMillism >= intervalm) {
    previousMillism = currentMillis;
    // Code to move motor2,m  
      motorm.step(50, BACKWARD, SINGLE);
      motorm.release();
    
  }
  // Control motor1,h
  if (currentMillis - previousMillish >= intervalh) {
    previousMillish = currentMillis;
    // Code to move motor1,h  
     
    motorh.step(17, FORWARD, SINGLE);
    motorh.release();
  } 
}
else {
        // If alarmon is 1, turn off the motors
        motorh.release();
        motorm.release();
    }

////*********************alarm on and off***
int switchState = analogRead(alarmonoff); // Read the state of the switch
//Serial.println(switchState);
 if (switchState > 1000) {
   Serial.print("Alarm @");
 ////*********************read the alarm***
// Serial.println(analogRead(alarm)); // Read the value from A2 and print it to the serial monitor
//from the code above , find the output of ararm potentiometer.
//1 hour=0-11,2=99,3=191.....12=1000
//then we have to convert it to 1 ro 12 hours
int alarmValue = analogRead(alarm); 
float mappedValue = map(alarmValue, 10, 1000, 100, 1200)*0.01; // Map the value from 1 to 12
Serial.print(alarmValue);
Serial.print(",");
Serial.print(mappedValue);
Serial.print(",alarmmili:");
alarmmili = mappedValue * 60*60*1000/timefactor;
Serial.print(alarmmili);
Serial.print(",");
Serial.println(currentMillis);

if(currentMillis>=alarmmili)
{ 
  delay(100);
  digitalWrite (play, HIGH);
  delay(150);
  digitalWrite (play, LOW);
  delay(7000);
  alarmon = 1;
}
 }

////*************recording alarm voice 
int recstate = analogRead(recinpin); // Read the state of the switch
//Serial.println(recstate);
if (recstate > 1000) {
 Serial.println("Record start");
 digitalWrite (recoutpin, HIGH);
 delay(11000);
 digitalWrite (recoutpin, LOW);
 Serial.println("Record end");
 }

}
